cdk (1:1.2.10-6) unstable; urgency=medium

  * Team upload.
  * Fixed a build failure with Java 8

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 13 May 2014 15:36:50 +0200

cdk (1:1.2.10-5) unstable; urgency=medium

  * Team upload.
  * Update Jama dependency for 1.0.3 for FTBFS bug. (Closes: #724120)
  * Bump Standards-Version to 3.9.5.
  * Use debhelper 9 instead of 7; correct debian/compat (was 5)
  * Update Vcs- fields to use canonical URLs.

 -- tony mancill <tmancill@debian.org>  Mon, 30 Dec 2013 16:14:46 -0800

cdk (1:1.2.10-4) unstable; urgency=low

  * Team upload.
  * Patch build.xml for ant 1.9; fix FTBFS (Closes: #712349)
  * Bump Standards-Version to 3.9.4.

 -- tony mancill <tmancill@debian.org>  Sun, 30 Jun 2013 21:02:33 -0700

cdk (1:1.2.10-3) unstable; urgency=low

  * Remove Daniel Leidert from uploaders. Thanks for your work on package.
    (Closes: #660674)
  * Remove Michael Koch from uploaders. Thanks for your work on package.
    (Closes: #654000)
  * Apply patch by Michael Terry <michael.terry@canonical.com> to fix build
    dependencies. (Closes: #650432)
  * Update standards version to 3.9.3. No changes needed.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Tue, 01 May 2012 16:01:47 +0530

cdk (1:1.2.10-2) unstable; urgency=low

  * Team upload.
  * Rebuild against javahelper 0.36 to reinstate symlinks (instead of
    duplicate JARs).

 -- tony mancill <tmancill@debian.org>  Sat, 04 Jun 2011 13:31:44 -0700

cdk (1:1.2.10-1) unstable; urgency=low

  * New upstream release. (Closes: #627582, #627712)
  * debian/control
    - Drop bunch of not used build dependencies - libcommons-cli-java,
      libcrimson-java, libmysql-java, libpgjava, xsltproc.
    - Add javahelper as build dependency to use jh_classpath and jh_depends
      utilities.
  * debian/rules
    - Include javahelper.mk
    - Remove ant-nodeps, vecmath, log4j-1.2, commons-cli from build classpath.
      Build classpath is managed by upstream build system.
    - Remove modules which do not contain any class files when built - inchi,
      pdbcml, qsarxml.
    - Add logic to generate debian/classpath file. This file is used by
      jh_classpath to update classpath in manifest files. (Closes: #627683)
  * debian/patches/
    - 21_vecmath_lib_name.patch - Remove. Not needed anymore.
    - 22_fix_build.patch - Update as per current upstream source.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Mon, 30 May 2011 20:50:41 +0530

cdk (1:1.2.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Fix value of 'Vcs-Browser' to make it useful.
  * debian/patches
    - 21_vecmath_lib_name.patch, 22_fix_build.patch - Updated to use wildcards
      for jar file names. Forwarded relevant bits upstream.
  * debian/watch
    - Improved regular expression to watch future stable versions.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 28 Apr 2011 20:48:38 +0530

cdk (1:1.2.7-1) unstable; urgency=low

  * New upstream release. (Closes: #519969)
  * debian/control
    - Add build dependency ant-contrib, libxpp3-java, r-cran-java.
    - Update runtime dependency to java5-runtime-headless.
    - Standards version 3.9.1. No change needed.
  * debian/patches
    - series - Use quilt for patches.
    - 10-MakeJavafilesFiles.patch, 20-Java5.patch - Delete. Not needed anymore.
    - 21_vecmath_lib_name.patch - Update against current source.
    - 22_fix_build.patch - New patch to fix build.
  * debian/compile.excludes
    - File name patterns to exclude from compilation process. This file is used
      by 22_fix_build.patch.
  * debian/README.Debian
    - Explain that some modules are built partially.
  * debian/rules
    - Additional 'COMPONENTS' as per current source.
    - Drop simple-patchsys.mk as we are using source format 3.0.
  * debian/libcdk-java.install
    - Remove. Not needed as the install logic is in rules file.
  * debian/source/format
    - Switch to source format 3.0.
  * debian/README.source
    - Remove. Not needed with source format 3.0.
  * debian/watch
    - Keep track of stable versions only.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Sat, 26 Mar 2011 21:22:40 +0530

cdk (1:1.0.2-5) unstable; urgency=low

  * Team upload.
  * Change Build-Depends: libjgrapht0.6-java-link. (Closes: #584386)
  * Remove Paul from Uploaders list.

 -- Torsten Werner <twerner@debian.org>  Thu, 10 Jun 2010 19:25:18 +0200

cdk (1:1.0.2-4) unstable; urgency=low

  * debian/control
    - Remove unnecessary libjdom0-java build dependency.
    - libvecmath1.2-java -> libvecmath-java. (Closes: #546306)
    - Remove java1-runtime dependency.
    - Add myself to uploaders.
  * debian/rules
    - vecmath1.2 -> vecmath.
  * debian/patches/
    - 21_vecmath_lib_name.patch: Patch to change vecmath1.2.jar references to
      vecmath.jar.
  * debian/README.source
    - Add to comply with policy.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Fri, 25 Sep 2009 14:00:28 +0530

cdk (1:1.0.2-3) unstable; urgency=low

  * Build-Depends on libjgrapht0.6-java (Closes: #517348).
  * Added debian/patches/20-Java5.patch to work with JavaCC 5.0.
  * (Build-)Depends on default-jdk.
  * Put package into section 'java'.
  * Build-Depends on debhelper >= 7.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 24 Sep 2009 19:57:42 +0200

cdk (1:1.0.2-2) unstable; urgency=low

  * Patched MakeJavafilesFiles.java so that it accepts comments of the
    form "/** ... */".
    (Closes: #474908 - FTBFS: NomParserTokenManager cannot be resolved
    to a type).

 -- Paul Cager <paul-debian@home.paulcager.org>  Wed, 09 Apr 2008 21:17:53 +0100

cdk (1:1.0.2-1) unstable; urgency=low

  * New upstream release
  * Moved package from contrib to main.
  * Fixed Depends and Suggests of libcdk-java.
  * Fixed name of Maintainer.

 -- Michael Koch <konqueror@gmx.de>  Mon, 03 Mar 2008 20:01:40 +0100

cdk (1:1.0.1.92-1) unstable; urgency=low

  * New upstream release.

 -- Michael Koch <konqueror@gmx.de>  Sun, 24 Feb 2008 21:38:55 +0100

cdk (1:1.0.1.91-1) unstable; urgency=low

  * New upstream version.
  * Unify copyright files.
  * Added watch file.
  * Moved debhelper and cdbs from Build-Depends-Indep to Build-Depends.
  * Added libjgrapht-java, libvecmath1.2-java, libxom-java and libjama-java
    to Build-Depends-Indep.
  * Use java-gcj-compat-dev instead of kaffe.
  * Made Debian Java Maintainers the maintaine of the package and moved Daniel
    Leidert to Uploaders and also added myself.
  * In debian/control use ${source:Version} instead of ${Source-Version}.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Use $(DEB_UPSTREAM_VERSION) and reduce usage of variables in debian/rules.
  * Added debian/ant.properties to set build properties.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper compat level to 5.
  * Removed unused debian/README.Debian.
  * Removed unused cdk and libcdk-java-doc packages and manpages.

 -- Michael Koch <konqueror@gmx.de>  Wed, 20 Feb 2008 11:47:10 +0100

cdk (1:0.99.1-1) unstable; urgency=low

  * New upstream release

 -- Egon Willighagen <egonw@users.sourceforge.net>  Fri,  9 Feb 2007 16:54:47 +0100

cdk (20060211-1) unstable; urgency=low

  * New upstream release
  * Removed JOELib from package

 -- Egon Willighagen <egonw@users.sourceforge.net>  Sat, 11 Feb 2006 20:47:00 +0100

cdk (20050125-0dl0) unstable; urgency=low

  * Completely rewritten package process.
    - includes joelib source
    - packaging joelib with (API-)documentation
    - massive using of dpatch
    - excluding common stuff (copy it into /usr/share/java, if you need it),
      means: removed libcdk-java-common
  * Fixes:
    - rewritten manpages for cdk binaries
    - better JAVA detection for cdk binaries

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat,  5 Feb 2005 19:44:26 +0100

cdk (20041015-1) unstable; urgency=low

  * New upstream release + fix for wrong element types.
  * Moved cdk to contrib/utils.
  * Moved libcdk-java to contrib/libs.
  * Moved libcdk-java-doc to contrib/doc.
  * Moved libcdk-java-common to non-free/libs.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 13 Nov 2004 03:04:22 +0100

cdk (20040917-2) unstable; urgency=low

  * New build. 

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Oct 2004 20:01:48 +0200

cdk (20040917-1) unstable; urgency=low

  * New Upstream release.
  * Build against joelib-20040827.
  * Package was reamed to cdk (use 'apt-get source cdk' to get the source), but
    it is still split into 4 packages.
  * Adjusted control-file and dependencies.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 17 Sep 2004 23:26:46 +0200

libcdk-java (20040626-2+3) unstable; urgency=low

  * [NEWS] package-split.
  * Added package cdk, which contains the shell wrappers (+ manpages).
  * Added control-files for reportbug.
  * Clean-up Makefile and rules, some changes in debian.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 20 Aug 2004 23:13:38 +0200

libcdk-java (20040626-2+2) unstable; urgency=low

  * Added a JavaDoc-package for the CDK-API (libcdk-java-doc).
  * Adjusted debian/control.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 20 Aug 2004 12:22:51 +0200

libcdk-java (20040626-2+1) unstable; urgency=low

  * Build with Java3D and JOElib.
  * Now suggests the different plugin-packages, not libcdk-java-plugins.
  * Symlinks are now made "the Debian way".
  * Split package - recommends libcdk-java-common.
  * libcdk-java-common pre-depends on libcdk-java, to solve the upgrade
    problem with the common-libs in /usr/share/libcdk-java/lib.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 13 Aug 2004 03:19:59 +0200

libcdk-java (20040626-1.1) unstable; urgency=low

  * Now suggests libcdk-java-plugins.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Aug 2004 22:41:15 +0200

libcdk-java (20040626-1) unstable; urgency=low

  * New upstream release.
  * Now there is only one package called libcdk-java providing all libraries
    and shell scripts, former provided by cdk & libcdk-java.
  * libcdk-java is now built against ...(libraries)

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun,  8 Aug 2004 22:42:33 +0200

cdk (20040513) unstable; urgency=low

  * New upstream release
  * Now uses gjdoc instead of javadoc (see patches/)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Thu, 13 May 2004 19:44:00 +0100

cdk (20040420cvs-2) unstable; urgency=low

  * Now conform Standards Version 3.6.1 (control)
  * Split up package into two binary packages: libcdk-java and cdk
  * Now depends on debhelper (rules)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Tue, 20 Apr 2004 13:27:00 +0100

cdk (20040420cvs-1) unstable; urgency=low

  * New release based on CVS

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Tue, 20 Apr 2004 11:36:00 +0100

cdk (20040202-1) unstable; urgency=low

  * New upstream release
  * Now depends on a lot more Debian packages (control)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Tue, 03 Feb 2004 11:47:00 +0100

cdk (20040120-2) unstable; urgency=low

  * Now build depends on gcj instead of j2sdk1.4
  * Now depends on kaffe instead of j2se1.4
  * Added missing xsltproc build dependency (control)
  * Now stores extra jar libraries in the correct dir (/usr/share/cdk/lib)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Wed, 21 Jan 2004 15:33:00 +0100

cdk (20040120-1) unstable; urgency=low

  * New upstream release 20040120

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Tue, 20 Jan 2004 10:30:00 +0100

cdk (20040112-2) unstable; urgency=low

  * Fixed description title name of CDK (control)
  * Hopefully moved package to arch = all (control)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Mon, 12 Jan 2004 17:59:00 +0100

cdk (20040112-1) unstable; urgency=low

  * New upstream release taken from CVS
  * Fixed Depends to have java2-runtime (control)
  * Added list of contributors to AUTHORS
  * More information in README
  * Removed CVS dir from debian/patches
  * Added upstream ChangeLog
  * Moved package to science subsection (control)

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Mon, 12 Jan 2004 12:46:00 +0100

cdk (20031017-1) unstable; urgency=low

  * New upstream release
  * Now uses log4j*.jar from liblog4j1.2-java package

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Fri, 17 Oct 2003 11:11:00 +0100

cdk (20030702-1) unstable; urgency=low

  * New upstream release
  * Put into correct Section (control)
  * Now conform Standards Version 3.5.9 (control)
  * Removed duplication in Description (control)
  * Added depends on j2se1.4 (control)
  * Fixed building system
  * Now uses junit.jar from junit package

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Sat, 03 Jul 2003 12:11:00 +0100

cdk (20020920-1) unstable; urgency=low

  * New upstream release

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Sat, 20 Sep 2002 21:58:43 +0100

cdk (20020831-1) unstable; urgency=low

  * New upstream version
  * Merged libcdk, libcdkextra and cdk into one package

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Sun, 01 Sep 2002 20:34:11 +0100

cdk (20020805-1) unstable; urgency=low

  * New upstream version

 -- E.L. Willighagen (Egon) <egonw@sci.kun.nl>  Thu, 06 Aug 2002 19:59:29 +0200
